# No debuginfo
%global debug_package %{nil}
# No strip
%global __os_install_post %{nil}

# actually, the date is the date packaged, not the commit date
%global commit_date	20170705
%global commit_long	5f543952e11eed54f04cd1baa28921238ef65318
%global commit_short	%(c=%{commit_long}; echo ${c:0:7})

Name:		raspberrypi-vc-firmware
Version:	%{commit_date}
Release:	501.git%{commit_short}%{dist}

Summary:	Broadcom VideoCore firmware for the Raspberry Pi computer
License:	Redistributable, with restrictions; see LICENSE.broadcom
Obsoletes:	raspberrypi-firmware
URL:		https://github.com/raspberrypi
Source0:	raspberrypi-firmware-%{commit_short}.tar.gz

ExclusiveArch:	armv6hl armv7hl

%description
This package contains the VideoCore firmware for the Broadcom BCM2835/6 SOC
including the kernel bootloader, used by the RaspberryPi computer.

%prep
%setup -q -c -n raspberrypi-firmware-%{commit_short}

%build
echo "Nothing to do!"

%install 
# Boot binaries and LICENSE
mkdir -p %{buildroot}/boot
cp -p -v boot/*.bin boot/*.dat boot/*.elf\
 %{buildroot}/boot
chmod a-x %{buildroot}/boot/*
# Device Tree
mkdir -p %{buildroot}/boot/overlays
cp -p -v boot/overlays/README %{buildroot}/boot/overlays 

%files
%defattr(-,root,root,-)
/boot/*
%doc boot/LICENCE.broadcom extra/dt-blob.dts

%changelog
* Wed Jul 05 2017 Clive Messer <clive.messer@squeezecommunity.org> - 20170705-501.git5f54395
- Git revision master 5f543952e11eed54f04cd1baa28921238ef65318
  firmware: Fix regression in uart clock frequency
   See: https://github.com/raspberrypi/firmware/issues/833

* Mon Jul 03 2017 Clive Messer <clive.messer@squeezecommunity.org> - 20161214-502.git6d45dcf
- Rebuild for F25

* Wed Dec 14 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20161214-501.git6d45dcf
- Git revision master 6d45dcf869688163fa1c745cb059b14baf61b8fd
  bootcode: Enable the RNG as early as possible
  firmware: rng: Avoid initialising if already enabled
  powerman: Force a PVT calibration if aphy/dphy settings don't seem correct
   See: https://github.com/raspberrypi/firmware/issues/684

* Sun Oct 30 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20161030-501.git413fc66
- Git revision master 413fc664838e81caeabdc4118dc51e138d5d6c71
  firmware: Video_decode: Check licenced codecs at component create
  firmware: dispmanx: Report transform or display as the display_rotate variable
   See: https://github.com/raspberrypi/userland/issues/348
  firmware: arm_loader: Don't lose force_turbo when initial_turbo completes
   See: https://github.com/raspberrypi/firmware/issues/667
  firmware: mmal: improvements to mmal_queue code
  firmware: arm_dt: Silence system-supplied dtparams
  firmware: vc_image: Remove obsolete processor support using _VC_VERSION
  firmware: vc_image: Include colourspace in RGB to YUV conversions
- Git revision master 4a0e54e7acb6d3a57ca3899b9d4011979721df46
  firmware: isp: Add isp and isp_ilc to standard Pi variant as a cheap resize
  firmware: MMAL: Add parameters to configure source pattern
  firmware: IL Camera: Minor tidy up in RGB output handling
  firmware: Video_render: Support YV12 and NV21 (YVU formats
  firmware: IL Source: Add support for YV12 output (YVU420PackedPlanar)
  firmware: IL ISP: Major updates
  firmware: mmal_ril: Relay buffer alignment from RIL to MMAL
  firmware: ldconfig: Increase line buffer length from 80 to 100
  firmware: h264: Fix skipping of SPSX in header bytes
   See: https://discourse.osmc.tv/t/video-does-not-work-with-hardware-acceleartion/6629/11
  firmware: display: Allow display blanking to affect DPI output
   See: https://github.com/raspberrypi/firmware/issues/672

* Sun Oct 16 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20161016-501.git597c662
- Git revision master 597c662a613df1144a6bc43e5f4505d83bd748ca
  vcimage: Fix detection of coherent addresses after IS_ALIAS_L1L2_NONALLOCATING change
   See: http://forum.kodi.tv/showthread.php?tid=269814&pid=2435907#pid2435907
- Git revision master a021d6e70bf5a710c364d21852be4a8dd4dc423a
  firmware: platform: Remove max_usb_current and default to enabled
  firmware: arm_dt: Only mask interrupts for enabled DT nodes
   See: https://github.com/raspberrypi/linux/pull/1664
- Git revision master b2c05bd1c7194f47193b52bc366fec9ed0048af5
  firmware: ISP tuner: Lower rate at fast fps
  firmware: resize: Fix for no padding giving incorrect pitch
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=66&t=162349
  firmware: arm_dt: Populate the /serial-number property
   See: https://github.com/raspberrypi/linux/issues/1670
  firmware: deinterlace: Provide a mode where frame flags are exclusively used
  firmware: arm_loader: do not allow qpu usage when arm owns the 3d
   See: https://github.com/raspberrypi/firmware/issues/669
  firmware: vcinclude: Fix macro for IS_ALIAS_L1L2_NONALLOCATING
- Git revision master ec63df146f454e8cab7080380f9138246d877013
  firmware: platform: Don't set kernel name explicitly for recovery.elf
- Git revision master cb7b3fed0eabd02e3e03d1ae1f9deea8a5bf880a
  firmware: resize: Add a queue of input images to avoid dropped frames with
   opaque input
  firmware: resize: Set the direct_input flag when using mmal opaque mode
  firmware: arm_loader: Restrict automatic loading to LOWMEM
   See: https://github.com/raspberrypi/linux/issues/1641
  firmware: RaspiVid: Make open_filename() unified for all outputs (video, imv,
   pts) See: https://github.com/raspberrypi/userland/pull/338

* Thu Sep 22 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160922-501.gitad8608c
- Git revision master ad8608c08b122b2c228dba0ff5070d6e9519faf5
  platform: Enable support for Pi2+
- Git revision master 83dc067c60fd3f66eda1114eab23e45f57be387d
  firmware: tvservice/cecservice: We only care about unexpected message sizes
  firmware: khronos: Avoid starting khronos service when vc4-kms-v3d is active
  firmware: arm_loader: Enable fake_vsync_isr when fkms overlay is used
   See: https://github.com/raspberrypi/linux/pull/1637
  firmware: vcdbg: Add support for vchiq debugging
- Git revision master c93fb48ac04e13cf3966652b17a3d1e4802b024c
  firmware: arm_display: Fix alpha of warning icons
   See: https://github.com/raspberrypi/firmware/issues/367
  firmware: mmal: Advertise sliced formats in MMAL_PARAMETER_SUPPORTED_ENCODINGS
  firmware: IL Resize: Accept strides greater than the minimum
  firmware: vmcs_host: Poll for multiple dispmanx messages
  firmware: VCHI clients: Poll for messages until empty
   See: https://discourse.osmc.tv/t/april-update-causes-system-freezes/15361/183
  firmware: tvservice/cecservice: Make unexpected messages more fatal
- Git revision master db63c10c2b3e7196b74e386ea6ae6b52c4a6be83
  firmware: arm_display: Add bitmapped icons for warning conditions
   See: https://github.com/raspberrypi/firmware/issues/367
  firmware: deinterlace: Avoid frame doubling with progressive frames
   See: http://forum.kodi.tv/showthread.php?tid=269814&pid=2412845#pid2412845
- Git revision master 931aa1200647bfec23012834a4c937e04955dec8
  firmware: MMAL: Support MMAL_ENCODING_xxx_SLICE formats

* Mon Sep 05 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160905-501.git334f548
- Git revision master 334f54851ac4076a801ae0809dcd2a8b074d333f
  firmware: Revert temp: Ensure extended part of vg_spath is zeroed
   See: https://github.com/raspberrypi/linux/issues/943
- Git revision master 3b3fbc4b0322c48ae675016147326b0d51880c81
  firmware: cacheasm: Enable workaround for unwanted sdram write after flush/invalidate
   See: https://github.com/raspberrypi/linux/issues/943
  firmware: vchiq_arm: Fix return value of vchiq_initialise
   See: https://github.com/raspberrypi/userland/pull/331

* Fri Sep 02 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160902-501.gitd0bc6ce
- Git revision master d0bc6ce8e2ae7850959fed4edb0695f3cddfb96a
  firmware: platform: Make the default UART0 clock 48MHz for all Pis
   See: https://github.com/raspberrypi/linux/issues/1601
   See: https://github.com/raspberrypi/firmware/issues/643
- Git revision master 58567cb5207d1f31a7dcc3069787bc3b9a35e565
  firmware: Raspi[Still|Vid]Yuv: Add option for just saving luma
   See: https://github.com/raspberrypi/userland/issues/170
  firmware: RaspiVidYuv: Add option of saving RGB data
  firmware: Only change I2C/GPIO pin functions when needed
  firmware: platform: Redo the audio remapping logic
   See: https://github.com/raspberrypi/linux/issues/1473
- Git revision master 7a0d52e1e6e4188648d85d886eb46842c9165c98
  firmware: platform: Don't swap audio L&R if using GPIOs 12&13
   See: http://github.com/raspberrypi/linux/issues/1473
  firmware: hdmi: Increase muting before resolution change
  firmware: board_info: Add cm3-specific dtb file
  firmware: Ensure extended part of vg_spath is zeroed
   See: https://github.com/raspberrypi/linux/issues/943
- Git revision master fcd6018ce35058bbfd0c32d02e9d93a28a11810d
  firmware: Add customisation project board type
  firmware: platform: Enable Bluetooth on custom
  firmware: gencmd: Add support for hdmi_cvt and hdmi_timings
   See: https://github.com/raspberrypi/firmware/issues/637
  firmware: arm_display: Allow source aspect ratio to be configured
   See: https://github.com/raspberrypi/firmware/issues/638
  firmware: mmal: Allow /dev/vchiq to be opened initialised prior to
   mmal_vc_init

* Thu Aug 04 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160804-501.git1205048
- Git revision master 1205048f037098b1532bb947d1f4b823bcdebdf7
  firmware: platform: Default to 16bit framebuffer with cutdown firmware
  firmware: armstub: Move redundant write to mailbox register
   See: https://github.com/raspberrypi/firmware/issues/578
  firmware: vc_client: Fix for sending vguPolygon data in chunks
   See: https://github.com/raspberrypi/firmware/issues/633

* Wed Jul 27 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160727-501.gitb8ef00f
- Git revision master b8ef00fa489792d9c29071669c775947bcc29e0c
  firmware: arm_dt: allow audio output without dtparam=audio=on
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=66&t=154604
  firmware: dt-blob: Add BT_ON and WL_ON pins, and use if present
- Git revision master 051aed71b1be697c5fec48a38df82cc3f91350af
  firmware: video_render: Ensure image structure is initialised
  firmware: image_fx: Add assert to fatal error code path

* Wed Jul 13 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160713-501.git6ab4d20
- Git revision master 6ab4d20851eec4da9f959cf791925e39a3edc441
- Git revision master 218718e01aeb3de618ab2c3661d86645de6f21d9
  firmware: MJPEG enc: Don't hold JPEG module the whole time
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=70&t=153445
  firmware: image_encode: Add parameter to set the restart interval
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=38&t=153553
  firmware: Raspistill: Add option to set the JPEG restart interval
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=38&t=153553
  firmware: rawcam: Set min line interrupt rate to 16
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=47798&start=75#p1006778
  firmware: image_fx: Fix some issues with frameheight/sliceheight
  firmware: image_fx: Fix some YUVUV issues with pitch and vpitch
  firmware: deinterlace: Allow interlaced state of video buffer to be
   signalled from host
- Git revision master 6364331ee24c03108b4a572cb218164480b9275b
  firmware: Pushed so files missed from last update
- Git revision master 7a10856bc241a87a3ad6a5b84d8167949b3dc270
  firmware: Pushed so files missed from last update
- Git revision master 3acaf4e8ba95d09d8d8bcff696c092f220f03e59
  firmware: revert: cmake: mark GLESv2 as so version 2 for consistency with
   mesa lib
  firmware: makefile: Switch to building and using GL libs with custom names
   See: https://github.com/raspberrypi/firmware/issues/625
  firmware: platform: Fix avoid_lcd=2
  firmware: dt-blob: Enable pullups on Pi3 SDIO pins
- Git revision master 1f8d685c22761b9a5ee3343b01e79d31e2ed0f6b
  firmware: cmake: mark GLESv2 as so version 2 for consistency with mesa lib
   See: https://github.com/anholt/mesa/issues/24

* Wed Jun 29 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160629-501.git1ba9c9a
- Git revision master 1ba9c9ae47a27aca8cb12b988a456d0af8434a46
  firmware: image_fx: Allow dimensions to be changed without triggering a size
   error
  firmware: image_fx: Avoid setting the vpitch for YUVUV buffers
  firmware: image_fx: Add YUVUV as supported type
  firmware: image_fx: relax check on inout/output formats to support
   standalone deinterlace
  firmware: h264_parse: Silently discard macroblocks with unsupported profile
   See: https://github.com/raspberrypi/firmware/issues/549
- Git revision master 390f53ed0fd79df274bdcc81d99e09fa262f03ab
  firmware: Fix incorrect symlink for libGLESv1_CM.so
   See: https://github.com/Hexxeh/rpi-firmware/issues/122
  firmware: RIL: Correct RGB888 and BGR888 handling in camera and video_splitter
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=148432
  firmware: RaspiStill: Update annotation before capture
   See: https://github.com/raspberrypi/userland/pull/321
  firmware: dispmanx: Avoid attaching DSI display to dispmanx when ignore_lcd=2
  firmware: arm_loader: Stop hotplug checking when v3d-kms-v3d driver is enabled
  firmware: gencmd: Provide mechanism to reset persistent throttled bits  

* Mon Jun 27 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160613-502.gitfdbca29
- Rebuild for F24

* Mon Jun 13 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160613-501.gitfdbca29
- Git revision master fdbca29d3863ee16f5eee24c66e826bedf662db5
  firmware: dt-blob: Don't statically set i2c0 function on pins
  firmware: image_fx: Mask off unwanted flags from generated frames
  firmware: raspivid: Add option -lev/--level to raspvid to select H264 Level
- Git revision master 9cd62e613e091ef4fc877ea06704369f527cd3b1
  firmware: Tuner: Disable unused ACLS tuner, and improve logging
  firmware: imx219: Remove static variable
  firmware: ISP Tuners: Make DPF parsing thread safe
  firmware: audioplus: Allow passthrough dma priority to be overridden in same
   way as pcm
  firmware: di_adv: Remove delay uniform
  firmeare: di_adv: Enable limiter and tweak axi priorities
- Git revision master 70143fe9d371cd6486a80d6765e93b5574212b64
  firmware: Adjust include paths for Linux/BSD
   See: https://github.com/raspberrypi/userland/pull/298
  firmware: image_fx: Need to preserve flags for generated frames
   See: http://forum.kodi.tv/showthread.php?tid=276372
  firmware: write_raw_md: Fix assert due to struct size
  firmware: Enable VC_IMAGE_BGR888 support
  firmware: video_splitter add support for YUYV
  firmware: vc_image_copy support for YUYV formats
  firmware: video_splitter: support format conversion on buffers in and out
  firmware: MMAL/IL: Fix retrieving supported encodings for image domain ports
  firmware: RaspiStillYuv: Detect and amend request for RGB pixel ordering
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=148432
- Git revision master 7fcb39cb5b5543ca7485cd1ae9e6d908f31e40c6
  firmware: arm_loader: Add simple-framebuffer support for vc4-kms-v3d
  firmware: dtoverlay: Improve compatibility
   libdtovl: Simplify target-path handling
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=139732
  firmware: bootcode: Fix LED for A+ and B+
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=28&t=135813
  firmware: cmake: generate and install pkgconfig files
   See: https://github.com/raspberrypi/userland/issues/245
- Git revision master 3b98f7433649e13cf08f54f509d11491c99c4c0b
- Git revision master ac0c0bff7951a39d371a46c4a80a9ec560e33c16
  firmware: sdram: Remove disable_pvt option and always do the nopvt
   calibration
  firmware: bootcode.bin: Set PVT explicitly with config.txt option
  firmware: dtoverlay: Use fewer shell commands, tidy up
  firmware: imx219_cypto: use 0 size sub-addresses and remove
   I2C_FLAGS_READ_REQUIRES_STOP
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=147744
- Git revision master 297432f75202409e655b84e4afa48f652251b0e6
  extra: Update for support of Pi zero v2

* Fri May 20 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160520-501.git564f73b
- Git revision master 564f73bec8b3b893d276a43522a9029d903ac35b
- Git revision master 9b0c28ae6d2bed25514f1e8a3de2b3da9e72bb57
- Git revision master e0fedf15518eef8a56f41113abd5ec8171e3981c
  firmware: imx219: Add close call to error path
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=147744
  firmware: openmax: Support OMX_COLOR_Format32bitARGB8888 for video_render
- Git revision master c17fa41b8e8321d891230f97837fee98feebc1ac
  firmware: ldconfig: Support filter based on gpio level
  firmware: ldconfig: Allow specifying a overlay_prefix from config.txt
   See: https://github.com/raspberrypi/firmware/issues/593
  firmware: dispmanx: Avoid dispmanx updates when running vc4-kms-v3d driver
   See: https://github.com/raspberrypi/firmware/issues/595
  firmware: RIL Camera: Correct buffer size checking for RGB and BGR888
  firmware: RIL video_encode: Add support for levels 4.1 and 4.2
  firmware: IMX219: Add assert on failure to init
  firmware: imx219: New VGA and full FOV 720p modes
  firmware: imx219: Reorder modes to roughly match OV5647
  firmware: imx219: Enable sensor DPC
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=145815
- Git revision master 3816e1ce1e6ebc6d2bf0596dbd52849e16aa7e94
  firmware: arm_loader: Disable uart node in DTB if enable_uart=0
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=63&t=147781

* Sun May 08 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160508-501.gitcc6d7bf
- Git revision master cc6d7bf8b4c03a2a660ff9fdf4083fc165620866
- Git revision master e599713c0624a6515801966f39649b0648bf3eff
  firmware: dtoverlay: Suppress more warnings from dtc
  firmware: dtoverlay: dtoverlay-pre and dtoverlay-post don't need sudo
- Git revision master 6832d9a431a98b640accb2b76eac38a420d7c680
  firmware: dtoverlay: Run scripts before and after changes
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=139732
  firmware: imx219: Enable SW sharpen in the builds
  firmware: imx219: Disable SW sharpening by default
  firmware: gencmd: Allow PVT debug registers to be read
- Git revision master 20958cdfe145aacdc64bded239c9d7bfe1b20bb2
  firmware: IMX219/OV5647: Clean up default flips
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=145980
- Git revision master c6ed2bf9d507be18775d0a1764f6f79656f82cd5
  firmware: pwm_sdm: put get_clocks under a mutex
  firmware: platform: remove debug-only pwm_sdm config options
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
- Git revision master c1485f5cad98689d1c655c768a12565415f5ef13
  firmware: imx219: imx219 long exposure calculations
  firmware: imx219: Updates to exposure modes tuning
  firmware: imx219: AWB limits tuning

* Fri Apr 29 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160429-501.git20958cd
- Git revision master 20958cdfe145aacdc64bded239c9d7bfe1b20bb2
  firmware: IMX219/OV5647: Clean up default flips
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=145980
- Git revision master c6ed2bf9d507be18775d0a1764f6f79656f82cd5
  firmware: pwm_sdm: put get_clocks under a mutex
  firmware: platform: remove debug-only pwm_sdm config options
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
- Git revision master c1485f5cad98689d1c655c768a12565415f5ef13
  firmware: imx219: imx219 long exposure calculations
  firmware: imx219: Updates to exposure modes tuning
  firmware: imx219: AWB limits tuning

* Sat Apr 23 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160423-501.gitea9087f
- Git revision master ea9087f2e0a3d155763dd5d04dd5c0bf95d63a05
  sdram: Remove aphy and sdram disabling from the no_pvt calibration
  sdram: Use no_pvt calibration with audio_pwm_mode=2
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
- Git revision master a1a3be140e1d7ebff64e0a81c2ec90056764621e
  firmware: pwm_sdm: Fix release build bug regression
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
  firmware: raspistill: Use camera_info component to set the sensor name and
   output resolution
  firmware: dtoverlay: Require sudo for destructive operations
  firmware: dtoverlay: command line tweaks
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=139732
  firmware: platform: Move initial freq settings to platform
  firmware: platform: Move initial volt settings to platform

* Tue Apr 19 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160419-501.gitc5e1319
- Git revision master c5e131971c323f5658c7c5d4b1dd105d37903a99
  firmware: armstubs: Zero kernel and DTB addresses to match external stubs
  firmware: arm_dt: If the trailer exists, ignore device_tree=
  firmware: arm_loader: Load DTB high if insufficient space
   See: https://github.com/raspberrypi/firmware/issues/579
  firmware: dtoverlay: Refactor applying overlays to permit snooping
  firmware: dtoverlay: Add dtparam command
  firmware: dtmerge: Don't crash if the overlay fails to load
  firmware: dtoverlay: Integer overrides can create and extend properties
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=139732
  firmware: platform: Don't overwrite disable_pvt=2
  firmware: board_info: CM3 has no Bluetooth
  firmware: dispmanx: Remove ifdefs for obsolete platforms
  firmware: vc_image: Remove ifdefs for obsolete platforms
  firmware: vc_audio: Remove ifdefs for obsolete platforms
  firmware: vcfw: Remove ifdefs for obsolete platforms
  firmware: scalerlib: testing: treat HVS dst_x parameter as 11-bit unsigned

* Sun Apr 17 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160417-501.git9628ed8
- Git revision master 9628ed8ee809ace08e64beb58fddad5ebd8155f0
  firmware: vcilcs: Warn as message queue approaches fullness
   See: https://github.com/raspberrypi/firmware/issues/449
  firmware: dtoverlay: Copy overrides before applying
  firmware: dtmerge: Pack the merged DTB before writing
  firmware: arm_ldconfig: Fix detection of kernel8.img
  firmware: arm_loader: Enable DT by default, read addresses back from stub
   See: https://github.com/raspberrypi/firmware/issues/579
  firmware: ldconfig: Add [none] section as a convenience as config.txt filter
  firmware: pwm_sdm: Bugfixes
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
  firmware: gencmd: Add command to read current and historical throttled state

* Wed Apr 13 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160413-501.gitefdcf16
- Git revision master efdcf1683e7c696e53fa28ab13c973cb32f09792
  firmware: config: Add arm_64bit setting
  firmware: arm_ldconfig: Set kernel_address for 64-bit boot
   See: https://github.com/raspberrypi/firmware/issues/579
- Git revision master b2ee39c7a6dc8a73ee7b559c7a833271eb10ca11
  bootcode: Ensure LED is switched off after halt on Pi3
  firmware: vcilcs: Increase ILCS queue size to prevent(?) deadlock
   See: https://github.com/raspberrypi/firmware/issues/449

* Tue Apr 12 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160412-501.git5a1c159
- Git revision master 5a1c15916f0cb6d2e59c2f99e8a44ea781288a6a
  firmware: arm_dt: Remove local shadowing global, more debug output
   See: https://github.com/raspberrypi/firmware/commit/d8c7424ea2f0b178d46a7a7460fb7cf874fd36eb
  firmware: armstub8: mem layout changes to match latest FW interface
   See: https://github.com/raspberrypi/tools/pull/55

* Mon Apr 11 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160411-502.gita32be14
- Git revision master a32be142b2c0c84f10bf495fd530570fe3c83c7b
  firmware: I2C: Reference count the IMASK enables and disables
   See: https://github.com/raspberrypi/firmware/issues/585

* Mon Apr 11 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160411-501.gitd8c7424
- Git revision master d8c7424ea2f0b178d46a7a7460fb7cf874fd36eb
  firmware: arm_dt: Move UART remap call earlier, make it unconditional
   See: https://github.com/raspberrypi/firmware/issues/579#issuecomment-207706220

* Sat Apr 09 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160409-501.gite968a4e
- Git revision master e968a4e72e1be3357391804bd07691a60ab0ed43
  pwm_sdm: fix ring buffer UINT_MAX wraparound bug
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
  firmware: IL ISP: Correct RGB to YUV matrices, and ignore code side info
  firmware: MJPEG encode: Handle stereoscopic images
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=138325&p=918041
  firmware: IL Camera: Change unspecified colour space to being JFIF
   See: https://github.com/raspberrypi/userland/issues/78
  firmware: OV5647: Option to configure auto lens shading to use potential fix
  firmware: arm_loader: Factor out DT support into arm_dt
   See: https://github.com/raspberrypi/linux/issues/1394
  firmware: arm_ldconfig: Switch to using arm stubs generated from
   tools/mkimage
  firmware: arm_ldconfig: Support loading arm stubs from file
   See: https://github.com/raspberrypi/firmware/issues/579

* Wed Apr 06 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160406-501.git0a96f63
- Git revision master 0a96f63b75d23567320e74767d3ce11002397af7
  firmware: arm_loader: Strip comments after dtoverlay and dtparam
   See: http://forum.kodi.tv/showthread.php?tid=250817&pid=2298996#pid2298996
  firmware: dtoverlay: Allow aliases to be used with target-path
  firmware: dtoverlay: Support disabled (__dormant__) fragments
  firmware: dtoverlay: Multiple overlay instances
  firmware: host_applications: Add dtmerge application
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=139732
  firmware: clock: Make clock logging less spammy. Can be enabled by host
  firmware: config: Remove unsupported config options
  firmware: Fix typos in comments
   See: https://github.com/raspberrypi/userland/pull/299
  firmware: hello_video: Remove the timout, to avoid the application quits before the ending of some videos
   See: https://github.com/raspberrypi/firmware/pull/475
- Git revision master 99def71c9f8d3a67e7b8bd3c602c1cfae7430696
  README: include fixup*.dat in list of firmware files

* Tue Apr 05 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160405-501.gitc065500
- Git revision master c06550099b9593192d6e2cc7e6446a6b4380d3f4
  arm_loader: Add SET_SDHOST_CLOCK mailbox property
- Switch back to master branch.

* Mon Apr 04 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160404-501.gitfa7d345
- Git revision next fa7d345cf34bc45f31d52fa95d996b748ab23c1c
- Switch to next branch.

* Fri Mar 25 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160325-501.git046effa
- Git revision master 046effa13ebc4cc7601df4f06f4834bd0eebb0f8
  firmware: arm_loader: emmc clock depends on core clock
   See: https://github.com/raspberrypi/firmware/issues/572
  firmware: arm_loader: Remove emmc_pll_core and init_emmc_clock as they are
   not recommended to be changed
- Git revision master 7f536a27cc74648183ee2e67371ac3db7b7dadd6
  firmware: sdram: cache the last set_frequency
  firmware: pwm_sdm: Set SDRAM turbo frequency to default if pwm_sdm is enabled
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
  firmware: vchiq_lib: Don't overwrite loop count mid-loop
   See: https://discourse.osmc.tv/t/frequent-random-muting-then-freezing/9875/104
  firmware: arm_loader: Change mini-UART initialisation order
   See: https://github.com/raspberrypi/firmware/issues/553
- Git revision master de7aa7e95d4b8fdca7eea2a66ca811d54f34aeaa
  firmware: Rebuild with missing uart and vchiq logging commits

* Mon Mar 21 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160321-501.git1c4f145
- Git revision master 1c4f14521087dc557468c2454d0a11e76930ace2
  firmware: arm_loader: Use the correct UART on non-DT systems
   See: https://github.com/raspberrypi/firmware/issues/553
  firmware: vchiq_arm: Tweak the logging output
  firmware: arm_loader: Add enable_uart setting
- Git revision master 4bf906cdd221c4f6815d0da7dda0cd59d25d945b
  firmware: di_adv: Avoid setting undefined flags in first deinterlaced frame
  firmware: di_adv: acquire user and main when we are releasing every frame
   See: https://github.com/raspberrypi/firmware/issues/546
  firmware: arm_loader: Initialise the mini-UART when appropriate
   See: https://github.com/raspberrypi/firmware/issues/553
  firmware: vchi_services: Increase number of connections to services from 3
   to 8. See: https://github.com/raspberrypi/firmware/issues/567
  firmware: audio_decode: Don't report format changes when passthough is
   enabled. See: https://github.com/xbianonpi/xbian/issues/807

* Wed Mar 16 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160316-501.git951799b
- Git revision master 951799bbcd795ddf27769d14acf4813fdcbe53dc
  firmware: pwm_sdm: first pass at optimisation
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
  firmware: arm_loader: Allow frequency cap to go down to 300MHz when over
   temperature. See: https://github.com/raspberrypi/linux/issues/1337
  firmware: dtoverlay: Remove support for space/tab separators
  firmware: host_applications: Add dtoverlay app
  firmware: dtoverlay: Several small improvements
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=139732
  firmware: Add gpioman changes to correctly handle dt-blob.bin for
   gpio_expander gpios
  firmware: Updated dt-blob.dts to include Pi 3
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=140125

* Thu Mar 10 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160310-501.git8b4e548
- Git revision master 8b4e5482b52e6fb438dddc0d88ba0ba8d44af54b
  firmware: vc_image: Don't mangle the pitch for deinterlace with tall YUV 
   images. See: https://github.com/raspberrypi/firmware/issues/520
  firmware: spdif: Allow compressed audio flag to be forced
   See: https://github.com/raspberrypi/firmware/issues/561

* Tue Mar 08 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160308-501.gita192a05
- Git revision master a192a05bc8ca597249e5a36875ce382c572ddc97
  firmware: pwm_sdm: More bugfixes
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445

* Sun Mar 06 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160306-501.git845eb06
- Git revision master 845eb064cb52af00f2ea33c0c9c54136f664a3e4
- Git revision master b48c36f7431c45f3c1ce7c84036f2202a8b611cf
  firmware: arm_loader: Improve serial port aliasing
   See: https://github.com/RPi-Distro/repo/issues/22
  firmware: Pi3: Reduce desired ring osc and attempt to make temperature 
   reading more accurate

* Fri Mar 04 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160304-502.git028b1f6
- Git revision master 028b1f6585280bd0a21885973589c4b101355597
  arm_loader: Treat initial frequencies are invalid
   See: https://github.com/raspberrypi/firmware/issues/558

* Fri Mar 04 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160304-501.git7f7b368
- Git revision master 7f7b3681b209fbac5aeb81c0f290c2aefd8a7b43
  firmware: pwm_sdm: bugfixes
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=136445
  firmware: Correct Camera GPIOs for Pi3 rev1.2
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=138290
  firmware: arm_loader: Avoid spurious assert when turbo mode is limited
  firmware: arm_display: Avoid losing warning square when display is powered off

* Mon Feb 29 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160229-501.git9cd1c6c
- !!! KERNEL SUPPORT FOR PI3B !!!
- Git revision master 9cd1c6c0e03ac5497b2972e5a45cb6150529150e
  firmware: arm_ldconfig: Use arm_loader API for determining clock frequencies
- Git revision master 35282eba1adeed529bed32ba7f32f6b9361679af
  firmware: arm_cursor: Fix cursor in 3D modes
   See: http://forum.kodi.tv/showthread.php?tid=250817&pid=2256136#pid2256136
  firmware: dispmanx: discard zero sized source/dest rectangles

* Thu Feb 25 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160225-501.git565197e
- Git revision master 565197e2f830388155dfd6ba713ea32a75697a26
  firmware: spdif: Flag compressed samples when sending passthrough over PCM
   See: http://openelec.tv/forum/134-usage/79850-passthrough-not-working-after-upgrade#157962
  firmware: qpu: Move closer to di_adv launcher and make profiling counters 
   64-bit
- Git revision master fa931b468e18df9be6a379991a0d74264dc3e4c7
  firmware: Annotate: Remove graph bottom line if only showing frame num
   See: https://github.com/raspberrypi/firmware/issues/541
  firmware: OpenMax IL: Add warning if OMX_SKIP64BIT is not defined
  firmware: mmal: Remove unwanted loop increment from body of code
   See: https://github.com/raspberrypi/userland/pull/292
  firmware: pwm_sdm: rewrite modulators in C rather than ASM

* Wed Feb 10 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160210-501.git38c925a
- Git revision master 38c925ab017c522aadf79cf11047144972c6b2a1
  README: remove out of date kernel_debug reference
- Git revision master 66f6f06ae3897283b7b96d377a37968db16faaab
  firmware: video_render: Support non-default vertical stride

* Tue Feb 02 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160202-501.gitcb2ffaa
- Git revision master cb2ffaa5503ac53039d40715965480dd66f0aa20
  firmware: audioplus: pause burst frames use 32-bits as payload length
  firmware: Fix typos in various headers
   See: https://github.com/raspberrypi/firmware/pull/518
  firmware: Video_encode: Support OMX_IndexConfigVideoIntraVOPRefresh
   See: https://github.com/raspberrypi/firmware/issues/462
  firmware: Add support for VC_IMAGE_BGR888/OMX_COLOR_Format24bitRGB888 to 
   video_render
  firmware: Rawcam: Add some more debug, and support for RGB888 and BGR888
  firmware: bootcode: Remove support for CM msd as it is not believed to be 
   used
  firmware: bootcode: Avoid controlling LED gpio on CM
  firmware: Add logging for clock management from the videocore. Using vcdbg 
   log msg the logging will include setting of channel and output frequencies
  firmware: platform: Add config option to adjust sdram schmoo settings
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=6201&start=975#p892750
  firmware: arm_loader: Add mailbox properties to get and set gpio state
  firmware: arm_loader: Add Pi0 model string
  firmware: platform: Don't default to overscan if we're recovery.elf

* Fri Jan 29 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160129-501.gitfbe3633
- Git revision master fbe36330696cc82a87fc24ad5b5f896be2b1460f
  firmware: hdmi: Pass sequenced event through queue to avoid it being overwritten by hotplug change
   See: https://discourse.osmc.tv/t/refresh-rate-changes-causes-kodi-to-hang/12228/2
  firmware: H264_PWR: Increase max number of users
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=70&t=133875
  firmware: platform: If gpu_freq is set don't set core_freq on pi0 as it might reduce frequency
  firmware: sdram: Avoid PVT calibration when overclocking sdram on pi2
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=6201&start=975#p891496

* Fri Jan 15 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160115-501.git3dd0c1c
- Git revision master 3dd0c1c6aa3edb2ffc0e3a675eeb4492af50bb37
  Previous commit didn't have updated code. Rebuilt with updated code
- Git revision master 1a3022d5c181e51f3d5437ddd82531007e86b5d0
  firmware: arm_loader: Accept arbitrarily large DTBs
   See: https://github.com/raspberrypi/firmware/issues/527

* Thu Jan 14 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160114-501.git7147575
- Git revision master 714757536d2e72e562b53f0b0086b88c624812f6
  extra: Add firmware blob for documentation purposes
- Git revision master 98dca219c7955a189a5114c3144d416645388f15
  firmware: Fix for h264 picture corruption with german tv
   See: https://github.com/raspberrypi/firmware/issues/499
  firmware: TC358762: Avoid hanging when no DISPLAY_I2C_PORT defined in blob
   See: https://github.com/raspberrypi/firmware/issues/526
  firmware: video_render: Ensure pixel_x/pixel_y don't overflow calculations
   See: https://github.com/raspberrypi/firmware/issues/525
  firmware: arm_loader: Set uart0_clkrate before merging overlays
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=113753&sid=df96fc384c4794d3344e5462a2ab0c45&start=150#p879523

* Wed Jan 06 2016 Clive Messer <clive.messer@squeezecommunity.org> - 20160106-501.gitb70b451
- Git revision master b70b4515ad9c79651bc6d5ee91d5cc7214353c1d
  firmware: gencmd: Add methods to set and get arbiter priority settings
   See: http://forum.kodi.tv/showthread.php?tid=250817&pid=2192975#pid2192975
  firmware: hdmi: Provide a hacky way to boot with hdmi output disabled
   See: https://github.com/raspberrypi/firmware/issues/352
  firmware: platform: allow avs to use a second ring osc. Cache more ring osc 
   values on startup
  firmware: arm_loader: Load touchscreen overlay before users overlays
- Git revision master 1efc1ece0d1e282b1cf4f371d2f7c4098113c098
  readme: clarify the licensing of dtb files

* Tue Dec 08 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151208-501.git15e313f
- Git revision master 15e313f6ae914c7567e8f38a19a1213932fba32e
  userland: Updated libs from last commit
- Git revision master 224c75602b8bae1a9e942b4f1c7ed3aa8e0f0ec8
  firmware: video_decode: Provide ability to limit the number of callback structures used
   See: https://github.com/raspberrypi/firmware/issues/496
  firmware: audioplus: Remove spurious semi-colon that breaks test mode
  firmware: vdec3: mpeg2: Don't use display_ext info for calculating PAR
   See: https://github.com/raspberrypi/firmware/issues/507
  firmware: Initial support for setting voltage based on ring osc

* Tue Dec 01 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151201-501.git552552c
- Git revision master 552552c1198e537bad57c6f0d180aef7ad5eff45
  firmware: MJPEG codec: Fix rate control
  firmware: Camera: Set AWB mode on starting encode
   See: https://github.com/raspberrypi/linux/issues/1196
  firmware: video_encode: option to add timing data to SPS header
   See: https://github.com/raspberrypi/firmware/issues/245
  firmware: resize: add support for opaque images on the input
   See: https://github.com/raspberrypi/firmware/issues/440
  firmware: Add IL ISP component
  firmware: Add option to disable touchscreen on Pi display
  firmware: hdmi: Accept EDID even if checksum is wrong on final read pt 2
   See: http://openelec.tv/forum/124-raspberry-pi/74408-problems-with-hdmi-audio-on-openelec-5-0
  firmware: dt-blob: Don't assign i2c0 to p28 and p29 on a Pi Zero
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=107&t=127292
  firmware: platform: Bump default sdram to 450 on Pi0
  firmware: mailbox: Add support for enabling/disabling v3d

* Thu Nov 26 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151126-501.gited611df
- Git revision master ed611df9c7f8dd1a274ba0a927100a4ee471f446
  khronos: Include ARGB_8888_TF in fast path of mipmap generation
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2168210#pid2168210
  platform: Apply disable_pvt flag later - it was getting overwritten during 
   init 
   See: https://github.com/raspberrypi/firmware/issues/497
  TC358762: Disable ulps mode which can cause a hang when closing display
   See: https://github.com/raspberrypi/firmware/issues/501
- Git revision master f01ec42f66e360a177f82457e3324adbfdf84de5
  Merge pull request #498 from afaerber/master
  Typo fix for README
- Git revision master b96b3c9e719a7c9635fb02c1089f663e4952b615
  README: Fix wildcard for license assignment
  The pattern ./boot/*start.elf only matches ./boot/start.elf, leaving
   ./boot/start_cd.elf, ./boot/start_db.elf and ./boot/start_x.elf without
   explicit license.
  Presumably this was a typo, and LICENCE.broadcom was meant to apply to
   all ./boot/start*.elf files.
  Note that this still leaves the matching ./boot/fixup*.dat files without
   explicit license assignment.
  Signed-off-by: Andreas Färber <afaerber@suse.de>

* Wed Nov 18 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151118-501.git2a329e0
- Git revision master 2a329e0c7d8ea19c085bac5633aa4fccee0f21be
  arm_loader: Don't overwrite the /soc/ranges DT property
- Git revision master 1f5c0d7c3c86483d7787b1996bc22cb5278e0be8
  firmware: usb: Reduce usb priority to 13 and di_adv priority to 12

* Thu Nov 12 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151112-501.git193f600
- Git revision master 193f600ff3df626a25887134daf8b5841cbfe0e5
  firmware: usb: Increase axi priority to 15 - it needs to be odd
- Git revision master f49cc9ea91496ccf3425d80279ed586ea6754784
  firmware: arm_loader: Apply firmware DT settings after the overlays
  firmware: edid: Protect against invalid timing descriptor producing an 
   invalid supported mode
   See: http://openelec.tv/forum/124-raspberry-pi/74408-problems-with-hdmi-audio-on-openelec-5-0?start=30#151331
  firmware: TC358762: Make framerate adjustable with config.txt setting and 
   default to 60
   See: https://discourse.osmc.tv/t/raspi-display-analog-audio-problems/9788/5
  firmware: platform: Remove measure clock from logging message as it's quite 
   expensive
  firmware: usb: force axi priority to 14 and reduce di_adv to 13
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2150605#pid2150605
- Git revision master 591b25a7749027ce095a49d0a515294491dd26fc
  firmware: di_adv: Move to new scheme where qpu code handles top/bottom edges
   See: https://github.com/raspberrypi/firmware/issues/463
  firmware: di_adv: Add config setting to add nop delays to shader
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2150605#pid2150605
  firmware: vcilcs: Avoid a potential deadlock when very threaded
   See: https://github.com/raspberrypi/firmware/issues/449
  firmware: vrf: Add spinlock around vrf acquire/release calls to avoid 
   restoring an invalid p10 from ISR context
  firmware: rpi_display: only ratelimit if the backlight is actually changed
   See: https://github.com/raspberrypi/linux/issues/1179
  firmware: di_adv: Support multiple instances of qpu deinterlace at SD 
   resolution
   See: https://github.com/popcornmix/omxplayer/issues/386

* Thu Nov 05 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151105-501.gitaf9b357
- Git revision master af9b357c25c690c80b16ae75b3f8ac8dea20cd88
  firmware: rpi_display: fix backlight ratelimiting on STC rollover
   See: https://github.com/raspberrypi/linux/issues/1179

* Wed Oct 28 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151028-501.git7f01b12
- Git revision master 7f01b12b0f4e9893bb79dd6abdce5f6f7ed54e6c
  firmware: hdmi: flush current pixel clock adjustment on hdmi pixel clock change
    See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2118254#pid2118254
  firmware: memtest: Return info on which data/address bit failed
  firmware: audioserv: Bump peer version and allow setting of channelmap
   See: https://github.com/raspberrypi/linux/pull/1166

* Fri Oct 23 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151023-501.git4047fe2
- Git revision master 4047fe26797884cedf53bc8671d19e7f6f9f59d5
  firmware: arm_loader: enable backlight overlay automatically
   See: https://github.com/raspberrypi/linux/pull/1173
- Git revision master cd2e47db680c6d1248577de9dc9bf2122da00923
  licence: Add Raspberry Pi copyright
- Git revision master f7108cfdc715f79c5fd051fb4c3ae6f4b1b01f23
  firmware: [vdec3] Fix for interlaced VC-1 frames not setting cache control
   See: http://forum.kodi.tv/showthread.php?tid=221442
  firmware: arm_loader: mask ARM-owned interrupts through overlays
  firmware: Inititial structure for pwm sdm driver. Not currently functional.
  firmware: dsi display: Fix use on Model A / Model B
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=108&t=120398
  firmware: TC358762_DSI.c: Add backlight control and wire up the mailbox call
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=108&t=120398
  firmware: audio_serv: Add latency query function
   See: https://github.com/raspberrypi/linux/issues/1158
  firmware: arm_display: Write back adjusted overscan settings when 
   disable_overscan is not present
   See: https://github.com/raspberrypi/firmware/issues/484

* Sat Oct 17 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151017-501.gitba7a8fb
- Git revision master ba7a8fb709adab287495f4e836b1cd3e5c9db409
  firmware: platform: Remove avoid_pwm_pll and make it enabled by default. 
   PWM audio will always resample

* Sun Oct 11 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151011-501.gitd56bf18
- Git revision master d56bf185f0f9e1cc2d9090970a2db1f6ebe76bb2
  firmware: arm_loader: Support DT commands in included files
   See: https://github.com/raspberrypi/firmware/issues/414
  firmware: di_adv: Need up align up height to at least 4
   See: https://discourse.osmc.tv/t/problems-with-divx5-videos-after-september-update/8499/7
  firmware: Allow loading of tuning data from a memory block

* Thu Oct 08 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20151008-501.gitb06b317
- Git revision master b06b317afb60547b436cd30e056b54cec7ae3b8e
  firmware: arm_loader: Add clear of polled register so linux doesn't report 
   a timeout in bcm2709_boot_secondary
   See: https://github.com/raspberrypi/firmware/issues/369
  firmware: arm_loader: Fix HAT probing to always restore the original state
   See: https://github.com/raspberrypi/linux/issues/1144
- Git revision master 6785329266e889552b7a142563cb66d743b25610
  firmware: gencmd: Add ability to dump display lists
   See: https://github.com/raspberrypi/firmware/issues/407
  firmware: arm_loader: Enable hypervisor mode and modify common startup code 
   for 2836
   See: https://github.com/raspberrypi/firmware/issues/369

* Tue Sep 29 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150929-501.git0c2d73d
- Git revision master 0c2d73d03316420b9e82898c4571205ec537ab82
  firmware: video codec: Cleanup of fix for regression from refactor userdata 
   release mechanics in categoriser commit try 2
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2113798#pid2113798
  firmware: gencmd: Allow the memtest to run on two cores using arm_loader 
   tasks
  firmware: platform: Move board_info logging AFTER initialisation is complete

* Thu Sep 24 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150924-501.git960832a
- Git revision master 960832a6c2590635216c296b6ee0bebf67b21d50
  video codec: Revert: Cleanup of fix for regression from refactor userdata 
   release mechanics in categoriser commit
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2113798#pid2113798
- Git revision master 393e8bcffd6e073b94d4c002d08edb5f9dfcea78
  firmware: vdec3: Fix unitialised storage_numBackupIV field which can cause MVC corruption
   See: http://forum.kodi.tv/showthread.php?tid=234678&pid=2093451#pid2093451
   See: https://discourse.osmc.tv/t/cannot-get-full-frame-3d-to-work/6616/21

* Sat Sep 19 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150919-501.git9a21e6a
- Git revision master 9a21e6ac2397930c23aa69ad3ce3bf1f5e162808
  firmware: Fix the gpio pins used for HAT detection

* Thu Sep 17 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150917-501.git13aa07f
- Git revision master 13aa07f322b6f1645508b5c24ad70035f2a963d5
  firmware: video codec: Cleanup of fix for regression from refactor userdata 
   release mechanics in categoriser commit

* Mon Sep 14 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150914-501.git56d5a7b
- Git revision master 56d5a7bca477e0297d94aace43320c38df985015
  firmware: Fix touchscreen I2C to only read from i2c in smaller bursts to 
   avoid a fifo overrun problem with the i2c peripheral
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=43&t=120642
  firmware: arm_display: Fix issue with nonsensical negative overscan settings
   See: https://github.com/raspberrypi/firmware/issues/471
  firmware: arm_loader: Enable the i2c_arm and i2c_vc aliases for CM
   See: https://github.com/raspberrypi/linux/issues/1129
  firmware: di_adv: Allow the v3d priority boost to be modified
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2103200#pid2103200
- Git revision master 2cdcc5aa8d8d81ca783f58b3232b4305ad36b38b
  2c511aa243e084c73ec74a0fccfb9bc6bd3557bb
  firmware: arm_loader: Initialise the ARM display layer to -127
   See: https://github.com/raspberrypi/linux/issues/1128
  firmware: lcd: Add lcd_rotate config option and change default orientation
  firmware: tvserver: Make tvservice state report LCD state

* Mon Sep 07 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150907-501.gitfc95251
- Git revision master fc952516e1d73d54141861a64ac5d4be17e7a159
  firmware: platform: Support reading new satellite oscillators
  firmware: arm_loader: overlay path fixups, fragment gap tolerant
  firmware: VCHIQ/VCOS: Add VCDebug symbols for logging categories
  firmware: gencmd_serv: Add command for setting sdram schmoo parameters

* Mon Aug 24 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150824-501.gitc6ae1d6
- Git revision master c6ae1d69860c0915cca303475abc0b4efb83ad08
  firmware: di_adv: Only acquire ush once per file not per frame

* Thu Aug 20 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150820-501.gitbbf5495
- Git revision master bbf5495c0424fe38d795111007e93f8763b88bcc
  firmware: hdmi: disable dhcp completely to avoid registered i2c user
   See: https://github.com/raspberrypi/firmware/issues/192
  firmware: threadx: Avoid calling a NULL interrupt handler
   See: https://github.com/raspberrypi/firmware/issues/192
  firmware: arm_loader: Load standard touchscreen overlay
  firmware: di_adv: Remove dma and copy non interlaced lines from shader
  firmware: di_adv: Add vector code for copying top/bottom lines
  firmware: di_adv: Do not deinterlace first frame and have one less frame 
   of latency
- Git revision master 4dc3a69df5c901a2e44fa7c914210bc89c202a57
  firmware: Close the I2C driver in the touchscreen driver after use
   See: https://github.com/raspberrypi/firmware/issues/192
- Git revision master b3da68379785b0e10b09fdaa8db1b6f18732be8e
  firmware: video_decode: Fix up a vfw/avi timestamp hack
  firmware: arm_loader: Fix issue with hevc decoding
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2057694#pid2057694
- Git revision master e1e2823ab8729b61dd36e177d2db1ec20df59f09
  firmware: vdec3: Fix regression from refactor userdata release mechanics in 
   categoriser commit
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2060727#pid2060727
- Git revision master bba36d2a5a6f99934898daf07c7033ecae43a9bd
  firmware: arm_loader: change migrate to first core to be outside of freq_volt lock to avoid deadlock
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2079297#pid2079297
- Git revision master c25cc51c6fc0ddc4455d56ad26fbbf38b48da33a
  firmware: clock: Add freq volt lock around measure_clock. Has been observed 
   to kill a changing clock source
- Git revision master cfc6b47a1d7f99ae4444ecdf10a9f08673c1bbda
  firmware: arm_loader: Force turbo changes to first core. Changing sdram 
   isn't safe from second core
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2078190#pid2078190
  firmware: arm_loader: Move the application of user parameters and overlays later
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=113753&start=125#p801441
  firmware: rtos: Remove breakpoint in zero exception handler
  firmware: arm_loader: Fix some sanity asserts
  firmware: di_adv: Update to use chained shaders with larger VPM DMA
  firmware: arm_loader: Allow temporary gpu frequency boosts to be requested
  firmware: video_decode: Request boost to 300MHz when playing HD MVC or 
   HD high framerate video
  firmware: di_adv: Request boost to 300MHz when doing full rate HD advanced 
   deinterlace
  firmware: arm_loader: Allow auto turbo to be disabled in config with 
   disable_auto_turbo
  firmware: dma_lib: Allow burst, waits and priority to be specified for 2d 
   dma memcpy

* Tue Aug 11 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150811-501.git23e83df
- Git revision master 23e83dfcb79ee42144dc4ef82d4749faced1e677
  firmware: power: reduce unnecessary register writes when setting voltages
  firmware: audioplus: Explicitly handle pause scbs when querying the playback 
   position
   Avoids interrupts being disabled for milliseconds when silence is playing 
    (or about to play)
  firmware: audioplus: Speed up the ISR based processing with vector code    
  di_adv: Request turbo mode per frame when doing gpu deinterlace

* Tue Aug 04 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150804-501.git7d95aed
- Git revision master 7d95aeda7be50e77df829f91e16cc8688f731c32
  firmware: arm_loader: Fix unwanted lock release with turbo mode
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2069736#pid2069736
- Git revision master b7da35627e7934305798d78f0343c9b97e68307a
  firmware: di_adv: Revert: Request turbo mode when doing qpu deinterlace
- Git revision master 53b9bb9297ef4bba8f7b98e9dbca2c4c66b55632
  firmware: arm_loader: Make turbo request reference counted rather than 
   boolean
  firmware: di_adv: Request turbo mode when doing qpu deinterlace
  firmware: video_decode: fixes to timestamp handling
  video_decode: Don't use fifo for unknown timestamps
  video_decode: Increase size of ts fifo
  video_decode: sanity check fifo timestamp
  video_decode: Only reference valid next frame times
  video_decode: Set has_dts_timestamps before decode rather than afterwards
  video_decode: Move the ts fifo reading to after the packed avi handling
  video_decode: generalise the vfw/avi hack to work with sample files
  video_decode: Add sanity check assert on timestamp consistency

* Sat Jul 25 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150725-501.git464ce4f
- Git revision master 464ce4fc013ff20a2b957bc47093ed8b557e1ef1
  firmware: video_decode: Don't wait for a valid timestamp to output frames
   See: https://github.com/raspberrypi/firmware/issues/451
- Git revision master 43c48476e44538a1e53c563fff8645de04b8c3d2
  firmware: video_decode: Ensure there really is a non-unknown timestamp at 
   start. See: https://github.com/raspberrypi/firmware/issues/451
- Git revision master 369d99df38de4c33b648ac864dd42e185461b477
  firmware: sdram: Adjust YUVUV format alignment to get better sdram 
   utilisation with di_adv
  firmware: di_adv: Updated qpu with semaphore synchronisation between qpus
  firmware: video_decode: Various fixes to timestamp handling
   video_decode: Remove avoid_fix_ts paramater
   video_decode: Treat fragmented packets as unknown timestamps
   video_decode: Don't set the frame time from the userdata callback
   video_decode: Sanity check the frame_interval and repeat count from codec
   video_decode: Tweak timestamp quality measure
   video_decode: Add flag to indicate presence of DTS timestamps
   video_decode: Force starttime packet to not be an unknown timestamp
   video_decode: change flags to unknown in timestamp_add
   video_decode: Move timestamp fifo quality check after packed frame handling
   video_decode: calculate xFramerate regardless of 
    OMX_IndexConfigRequestCallback

* Sat Jul 18 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150718-501.gitcf20cb2
- Git revision master cf20cb2554fef392da5d355029bcb06b841f2b2e
  Add back missing files from last commit
- Git revision master e9375cfd7d0d81d308811370d59b0b5356b2fd76
  firmware: di_adv: Fix up top and bottom lines
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2053103#pid2053103
  firmware: arm_loader: Set uart0_clkrate DT param from init_uart_clock
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=113753

* Thu Jul 16 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150716-501.gitde8dfd3
- Git revision master de8dfd34ac3b901caf1e329ab2c971ea377f572d
  firmware: di_adv: Fix for non-interlaced frames with qpu deinterlace
  firmware: di_adv: Updated version of qpu code
  firmware: di_adv: Bump up thread priority when doing qpu deinterlace
   See: http://forum.kodi.tv/showthread.php?tid=231092&pid=2053307#pid2053307

* Tue Jul 14 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150714-501.gita00febe
- Git revision master ffd7aa30bade0082a2a5476fcfca0f314c365711
  firmware: di_adv: Fix for crash with qpu deinterlace
- Git revision master 2f51b1584eca01a167fdd0547c3f8999d5128363
  firmware: di_adv: Add qpu shader code to implement deinterlace
  firmware: image_fx: Support YUV_UV as destination format if requested
  firmware: dmalib: Reduce default priority and burst size of 2d memcpy
  arm_loader: Ensure reserved qpus are freed and ISR blocks until interrupt cleared  
  gpioman: If dt-blob.bin file is incompatible, use built-in
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=113753&start=75#p788079

* Thu Jul 09 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150709-501.git47d51d6
- Git revision master 47d51d6192bdfb37568f21b5810375d1b6d45217
  firmware: arm_loader: Increase stack and ensure icache flush is done before 
   threads in execute multi
  firmware: arm_loader: Switch to vpu queues and more profile logging
  firmware: clocks: Allow arm to be overclocked to 1.6GHz
  firmware: gpioman: Don't force all pin pulls to their defaults
  firmware: arm_loader: Fix length on get palette mailbox call
   See: https://github.com/raspberrypi/linux/pull/1026
  firmware: vchiq: Better error handling
  firmware: vchiq: Make fragment size vary with cache line size
   See: https://github.com/raspberrypi/firmware/issues/443

* Sat Jul 04 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150704-501.git89881b5
- Git revision master 89881b5488a5a60088677333dcbd97e1836c0e7e
  firmware: video_encode: Set nPortindex for BitRate too
   See: https://github.com/Hexxeh/rpi-firmware/issues/86
  firmware: dispmanx: Allow exclusive elements like TAB/FP to share LBM
  firmware: dispmanx: Early frame sequential 3d support
  firmware: arm_loader: Distinguish parameter success/failure

* Sat Jun 27 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150627-501.gitdf32073
- Git revision master df32073d6f63ab362ab6ac7b244022178f96eed8
  firmware: arm_loader: Support initialising vchiq through mailbox property 
   interface. See: https://github.com/raspberrypi/linux/pull/1026
  firmware: drivers/usb: Reduce busy-wait to sensible timeout
   See: https://github.com/raspberrypi/linux/pull/1026
  firmware: video_encode: Initialise headers for video_bitrate
   See: https://github.com/raspberrypi/firmware/issues/163
  firmware: arm_loader: Use the new core_freq DT parameter if present
  firmware: arm_loader: Set the uart1_clkrate DT property from core_freq
  firmware: arm_cursor: Better handling of a second app requesting a cursor
  firmware: arm: Tidy up setting of arm_control and arm_bash

* Wed Jun 24 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150624-501.git856e2e1
- Git revision master 856e2e1907a7f7058289c30268515c8cbf3fa5e3
  firmware: arm_display: Fix fb_base alias returned from mailbox property 
   interface. See: https://github.com/raspberrypi/linux/pull/1026
  firmware: mem_unlock - prevent decrementing lock count below 0
  firmware: camera: Support multi-channel raw image capture
  firmware: camera: write_raw copies input frame if HDR is enabled
  firmware: camera: Write correct camera mode from write_raw_md_stage
  firmware: AGC tuner: Correction to setting default digital gain to x1.0

* Mon Jun 22 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150622-502.gite8f6e12
- Git revision master e8f6e12c0ffc30bf5642e0c1d34ec7d315fc2052
  firmware: hdmi: Don't reject 3D modes based on edid
   Allows 3D to be switched to without explicit support in edid
- Git revision master 26e4bfb5a70baaedf8e26400113923655a815e79
  Update to latest overlays README

* Mon Jun 22 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150622-501.gita42dd75
- Git revision master a42dd75a162471d1f78e8e8b213a974de327f07e
  kernel: Bump to 4.0.5
- Git revision master 8b9d7b8c9cf371e1e3341bec3fd83c530e432a33
  firmware: arm_loader: Only add arm/vc i2c aliases if exactly one camera port

* Wed Jun 17 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150617-501.gitfc6c989
- Git revision master fc6c9896d26e9fb2cca9c024804f13938ee99311
  firmware: dispmanx: Rotate clipped coordinated when display is rotated
   See: https://github.com/raspberrypi/firmware/issues/438
  firmware: arm_display: Avoid holding lock while waiting for vsync with 
   rotated display
   See: https://github.com/raspberrypi/firmware/issues/437
  firmware: dispmanx: Fix order of scale and flip for dispmanx_snapshot
   See: https://github.com/raspberrypi/firmware/issues/435
  firmware: arm_loader: Fix force_core for 2836 and add disable SMP/L2 option
  firmware: qpu_execute: Optionally launch qpus explicitly on first N qpus
  firmware: qpu_execute: Enable profiling options for qpu_execute

* Fri Jun 12 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150612-501.git37600d5
- Git revision master 37600d5d2605bc553552b0409886735b5f4b6bdd
  firmware: arm_loader: Fix for emmc clock being left at low frequency during 
   turbo 
  firmware: dispmanx: Fixes for zoom rectangles with stereoscopic video
   See: http://forum.kodi.tv/showthread.php?tid=224025&pid=2021383#pid2021383
  firmware: arm_loader: Fix for emmc clock being left at low frequency during 
   turbo 
  firmware: dispmanx: Fixes for zoom rectangles with stereoscopic video
   See: http://forum.kodi.tv/showthread.php?tid=224025&pid=2021383#pid2021383

* Mon Jun 08 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150608-501.git4d961a6
- Git revision master 4d961a664d4b7d462273970b0dab2690351777d8

* Mon Jun 08 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150608-501.git4d961a6
- Git revision master 4d961a664d4b7d462273970b0dab2690351777d8
  firmware: dtoverlay: Make most errors non-fatal
  firmware: board_info: Use the boardrev after correction
   See: https://github.com/raspberrypi/firmware/issues/434    
  firmware: audioserv: Force volume to full when in passthrough mode
   See: https://github.com/raspberrypi/linux/issues/997
- Git revision master 16044ee459879a7e891ec2f31d74edd56990a307
  Update boot/overlays/README

* Sun May 31 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150531-501.git5c18487
- Git revision master 5c1848771795600170250a0ea1ff4a509e20859e
  firmware: Fix for identifying older model B Pi
- Git revision master 2598325b534cba4b5f88959714b6c8f279357ef3
  firmware: Fix issue with voltage not being set on Pi2 causing overclock 
   issues
- Git revision master f6ce0b0c36c6f7bf9530d64d0a240c6d9a270c46
  firmware: MMAL queue: extra protection on the sanity check
  firmware: MMAL: reset buffer recommended values on switching back to raw pixels
  firmware: OV5647: Remove readback of I2C writes
  firmware: MMAL: Add rawcam component and required framework changes
  firmware: Add MMAL to IL mapping for rawcam parameters
  firmware: Image_encode: Add support or YUYV input source
  firmware: OV5647 tuning: Add the fixed ISO preview modes    
  firmware: Replacing board rev functions with board_info library    
  firmware: arm_loader: Add support for ARCH_BCM2835 builds
   See: https://github.com/raspberrypi/linux/pull/980#issuecomment-106245992

* Sat May 23 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150523-501.git70b0598
- Git revision master 70b05985cf2b2b893bc6e55b12794f32857a78dd
  firmware: arm_loader: Add new vpu+qpu multi execute api
  firmware: arm_loader: Set the SPI clock in DT to core_freq
   See: https://github.com/raspberrypi/linux/issues/974
- Git revision master aac9756094bbb4dfbb98092aa0c636be3663d30b
  Fix typos in overlays README    
  bmp085_i2s should be bmp_085_i2c.

* Tue May 19 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150519-501.gitc0bb9f7
- Git revision master c0bb9f7f74a6eb50e6714b2c2af03b4ad4c5267f
  firmware: di_adv: Fix memory leak of converted buffers
   See: https://github.com/raspberrypi/firmware/issues/429
  firmware: arm_display: Fix initialisation of framebuffer struct when 
   framebuffer base is passed in
  firmware: hdmi: Tweak hdmi_mai_thresh for 192kHz audio
   See: https://discourse.osmc.tv/t/rp2-multichannel-flac-playback/2627/28
  firmware: vcsm: Update to header from kernel side
- Git revision master c7ec740caa359634d197249297ea597067e70180
  firmware: video_render: Use crop rectangles rather than port parameters 
   to handle opaque images
   Fix an issue with 3d rendering and opaque mmal images
  Firmware: arm_display: Fix for scaling issue with asymmetric overscan
  firmware: Add touchscreen driver VC4 side for Pi LCD display
  firmware: arm_loader: Support kernel_old with DT, and fix DT property 
   lengths
   See: https://www.raspberrypi.org/forums/viewtopic.php?f=29&t=93015&p=756970#p756954

* Sun May 03 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150503-501.gita14d111.sc20
- Git revision master a14d11100978d8627cd60c3439d20aefeb8ae729
  firmware: arm_loader: Set the new sdhost_freq DT parameter, if it exists
  firmware: sdcard: Move the handling of the clock and its divisor into sdhost

* Wed Apr 29 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150429-501.gitddb87b6.sc20
- Git revision master ddb87b698a45307da7f8d1a5819c9627fae65e3f
  firmware: arm_loader: Changes to support bcm2835_sdhost driver

* Tue Apr 21 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150421-501.git2fe636a.sc20
- Git revision master 2fe636ae3f5e82c6d0b31e32fa524a07821c440a
  firmware: gencmd: Add command to set sharpness of hvs scaling
   See: http://forum.kodi.tv/showthread.php?tid=224884
- Git revision master b6e3bf1d5318c8953de521ad06fdb3185bedd6d4
  firmware: di_adv: Fix longstanding bug that causes deinterlace jaggies

* Mon Apr 20 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150420-501.git46433cc.sc20
- Git revision master 46433ccc968d4f65568a1ad8679a05a46b7db51f
  firmware: jpegdec: Fix memory corruption issue caused by repeated exif tags
   See: https://github.com/OpenELEC/OpenELEC.tv/issues/4089
  firmware: lcd: Updated pi lcd support
  firmware: arm_display: Avoid overscan for lcd displays

* Sun Apr 19 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150418-501.git25b436d.sc20
- Git revision master 25b436de03dd15d199efeaa2b303d728422b4748
  Clarify the GPIO numbers vs pin numbers

* Sun Apr 12 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150412-501.git1293c14.sc20
- Git revision master 1293c14bdf0408f9695a7dcadf3b7f70241d0e10
  firmware: video_decode: Need to clear corrupt state when recovery point 
   is seen
  firmware: mmal: Plumb in OMX_IndexParamBrcmInterpolateMissingTimestamps
  firmware: Video_splitter: support RGB888, BGR888, and ARGB888
  firmware: vc_pool: block allocated count going negative
  firmware: vc_pool: fix behaviour if acquiring a released image
   See: https://github.com/raspberrypi/firmware/issues/377
  firmware: mmal: Pass dts in place of pts when pts is invalid
  firmware: video_decode: Use dts from fifo when pts is unknown

* Mon Apr 06 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150406-501.gitab9e773.sc20
- Git revision master ab9e773d4579b605161519f59c89f69d30602b7b
  firmware: Disable VCOS_RELEASE_ASSERTS unless start_debug=1 is selected
   See: https://github.com/raspberrypi/firmware/issues/408
  firmware: Revert hvs: experimental: reduce hvs non-panic priority on 2836
   See: http://forum.kodi.tv/showthread.php?tid=211501&pid=1973837#pid1973837
  firwmare: Revert video_decode: increase the number of userdatas
   See: https://github.com/OpenELEC/OpenELEC.tv/issues/4059
  firmware: hdmi: Use HD_MAI_THR = 0x1412 for > 48kHz hdmi audio
    See: http://forum.kodi.tv/showthread.php?tid=222061

* Fri Apr 03 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150403-501.git3ea439c.sc20
- Git revision master 3ea439ca4b6a84a06bb934347ecff6f7269f663c
  firmware: image_fx: Preserve the DATACORRUPT flag in the generated 
   deinterlaced frame
  firmware: image_encode: Send ABORT_ENCODE when flushing codec to 
   avoid a hang
  firmware: hdmi: Add config options for setting MAI threshold and dma 
   priority. See: http://forum.kodi.tv/showthread.php?tid=222061
  firmware: gencmd: Add command for querying if hvs asserts have occurred
   See: https://github.com/raspberrypi/firmware/issues/407

* Mon Mar 30 2015 Clive Messer <clive.messer@squeezecommunity.org> - 501.gitffda51e.sc20
- Exclude LICENSE.broadcom from /boot dir.
  (It's installed as documentation.)
- Git revision master ffda51ebff205858df0f992ab2223a1c0c8c9525
  Merge pull request #404 from charleswhchan/patch-1    
  Fix typo: Vide[o]Core
- Git revision master 002235adf93317150d3970e094d45edc295012b0
  Fix typo: Vide[o]Core

* Sat Mar 28 2015 Clive Messer <clive.messer@squeezecommunity.org> - 501.git3ef516e.sc20
- Version is commit date.

* Fri Mar 27 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150327git3ef516e-502.sc20
- Git revision master 3ef516ebc3e26e84e5f590688b8ad62cef8e8baf
  firmware: video codec: fix regressions on VC-1 decode
   See: http://forum.kodi.tv/showthread.php?tid=211501&pid=1965409#pid1965409
  firmware: video_codec: fix stall in categoriser when flushing outside seq
   See: http://forum.kodi.tv/showthread.php?tid=211501&pid=1965381#pid1965381
  firmware: di_adv: Tidy up naming of prev/cur/next images

* Fri Mar 27 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150327git7baf63a-501.sc20
- Git revision master 7baf63aeb395947fa1f0a9f18b7ce120f2c4af07
  Overlay README: Add enc28j60 overlay, and pcf8563 support to i2c-rtc
- Git revision master cd355a9dd4f1f4de2e79b0c8e102840885cdf1de
  firmware: arm_loader: Refactor freq/freq_min logic and allow h264 freq_min 
   to be increased
  firmware: arm_loader: Allow non-turbo voltage to be increased by up to two 
   config steps
  firmware: video codec: refactor userdata release mechanics in categoriser
  firmware: hvs: experimental: reduce hvs non-panic priority on 2836
  firmware: arm_loader: Add force_eeprom_read setting
  firmware: bootcode: Add bootcode_delay for an early delay
   See: https://github.com/raspberrypi/firmware/issues/401
  firmware: dispmanx: Fix stereoscopic flags to invert left/right eyes with 
   multichannel
   See: http://forum.kodi.tv/showthread.php?tid=211501&pid=1956924#pid1956924
  firmware: [deinterlace] Avoid asserts on half rate deinterlace
  firmware: [audioplus] Limit samplerate/channels to something we expect to be 
   able to support through hdmi
  firmware: [deinterlace] Fall back to fast algorithm in a cleaner way
  firmware: MMAL opaque - reduce back below 128 btyes
   See: https://github.com/raspberrypi/firmware/issues/377#issuecomment-84021485
  firmware: arm_loader: Avoid double-free when disabling HAT overlay, and 
   always relocate overlay phandles
  firmware: vc_pool_image: add locking around linked image release

* Mon Mar 23 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150323git151e6e5-501.sc20
- Git revision master 151e6e5d3e9c2a6bb17191718136333ac6f2050d
  firmware: MVC: various improvments to error handling
  firmware: dispmanx: Fix for locking with dispmanx_element_add with stereo 
   object
  firmware: video_decode: increase the number of userdatas
  firmware: platform: Enable VCOS_RELEASE_ASSERTS
   See: https://github.com/raspberrypi/firmware/issues/377#issuecomment-84004437
  firmware: dispmanx: Fix for dispmanx_snapshot with more than one rotated 
   layer 
   See: https://github.com/raspberrypi/firmware/issues/377

* Tue Mar 17 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150317git3b750d3-501.sc20
- Git revision master 3b750d30562d4506ad362eb06abdf98b7ed9d499
  firmware: dispmanx: Add stereoscopic flags to invert left/right eyes
   See: http://forum.kodi.tv/showthread.php?tid=211501&pid=1956924#pid1956924
  firmware: arm_loader: Support new overlay __local_fixups__ format
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=29&t=93015&sid=c707e42efffed4342891cff4e42ac095
- Git revision master 14b88f76963b569aee250d1ae46815cfaf536475
  firmware: dispmanx: Add stereoscopic flags to transform
  firmware: Fix MMAL annotate V3 handling
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=43&t=97929
  firmware: arm_loader: Populate DT with HAT vendor info
  firmware: arm_loader: Support boolean parameters and '.dtbo' extensions
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=29&t=93015&start=325#p716663
  

* Tue Mar 10 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150310gitf1b6b1c-501.sc20
- Git revision master f1b6b1c50a59241c06eb44d3f41543084a9ee493
  Merge pull request #391 from notro/fbtft-overlays-1
  Overlay README: add FBTFT overlays
- Git revision master 98cb327d1aa92e1e8b50c09f66bea03ca01e45c1
  Overlay README: add FBTFT overlays
- Git revision master d659d1d1f25a3320f4918b0fc362349410012e4d
  firmware: Adding support for frame packed 3D modes
  firmware: video codec: preparatory change to handling of userdata for CFP2
  firmware: video codec: refactor categoriser new_picture code
  firmware: video codec: allow MBLoop to handle both dnri slots
  firmware: arm_loader: Add support for the HAT setgpio and gpio_drive 
   directives
  firmware: dispmanx/hvs: Clear EOF callback state when the display is 
   destroyed

* Sun Mar 08 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150308git2aad6d8-501.sc20
- Git revision master 2aad6d8f703f9d899b023d31d6714eea004fc61b
  firmware: dispserve: Allow vsync requests from multiple clients
   See: https://github.com/raspberrypi/userland/issues/218
  firmware: hello_fft: Update to version 3
   See: http://www.aholme.co.uk/GPU_FFT/Main.htm

* Fri Mar 06 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150306gitcdcb506-501.sc20
- Git revision master cdcb50646bc035e9f3e74b99d764023c4b98d7d5
  firmware: audioserv: Increase thread priority
   Fixes also audio glitches when running quake
  firmware: cma: Initialise the CMA service (and flush L1) earlier
   See: https://github.com/raspberrypi/firmware/issues/365
  firmware: DRC: Fix use with transpose
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=43&t=97586
  firmware: Annotate: Add annotations to snapshot images too
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=43&t=97929
  firmware: jpd: Handle AVI1 tag found in some MJPG files
   See: http://openelec.tv/forum/124-raspberry-pi/74783-cant-play-mjpg-file
  firmware: video_decode: Fix long standing bug with releasing whole frame 
   buffer used by software codecs
   See: http://openelec.tv/forum/124-raspberry-pi/74783-cant-play-mjpg-file
  firmware: arm_loader: qpu mailbox may trigger sysman so needs to drop the 
   freq_volt lock
   See: https://github.com/raspberrypi/firmware/issues/388
  firmware: arm_display: Avoid updating the rotated framebuffer until we have had an allocation
   See: https://github.com/raspberrypi/firmware/issues/389

* Tue Mar 03 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150303gitdc3afd4-501.sc20
- Git revision master dc3afd4c8b885e75f624efb266d65fc00a8a4219
  Overlay README: Add bmp085_sensor-i2c and i2c-rtc.
  The individual RTC overlays - ds1307-rtc, pcf2127-rtc and
   pcf8523-rtc have been deprecated and will be deleted.
- Git revision master b0079452ebce0158ce31d259d251f83a833f23c5
  firmware: Fix for overclocking with h264_freq and v3d_freq.
  firmware: arm_loader: Support HATs on all boards with the bplus layout.
  firmware: dtblob: Remove the static i2c0 pin assignments for B+ and 2B.
  firmware: arm_loader: Use bcm2708-rpi-cm.dtb on a Compute Module.

* Sun Mar 01 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150301git46a04a4-501.sc20
- Git revision master 46a04a47aed85dede54172116be6fa74ceef6de1
  firmware: video_decode: fix allocation of images by vd3_dpb to include link 
   fields. 
   See: https://github.com/raspberrypi/firmware/issues/377
   See: https://github.com/Hexxeh/rpi-firmware/issues/77
- Git revision master b9fac65dd9ff607d0c2c4ea1bbba2bbf3fbc4a10
  firmware: ldconfig: Fix for off by one on config list count.
   See: https://github.com/raspberrypi/firmware/issues/374
   See: https://github.com/raspberrypi/firmware/issues/381
   See: https://github.com/raspberrypi/firmware/issues/378

* Thu Feb 26 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150226git033a916-501.sc20
- Git revision master 033a9164e7fea844a5b7303fc729d258c042f481.
  firmware: vdec3: preparation work for MVC.
  firmware: OV5647: Correct line lengths for 25MHz oscillator.
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=43&t=99351
  firmware: Tuner: Enable video stabilisation.
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=43&t=89177
  firmware: Annotate: Add control of text size, colour, bg colour, and handle 
   CR. See: http://www.raspberrypi.org/forums/viewtopic.php?f=43&t=97929

* Tue Feb 24 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150224git1fd01f6-501.sc20
- Git revision master 1fd01f6bc5a0d4fab2f04acf87ac6a53fc76c04e.
  firmware: ldconfig: Fix sort order to handle underscores and add check for 
   sortedness. See: https://github.com/raspberrypi/firmware/commit/cc47954caf69dbf60bcd8d2580029469e70bc77b#commitcomment-9883101
  firmware: L1 cache fix part 2

* Tue Feb 24 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150224gitcc47954-501.sc20
- Git revision master cc47954caf69dbf60bcd8d2580029469e70bc77b.
  firmware: ldconfig: Sort config options and use bsearch for lookups.
  firmware: video_decode: Require a small factor improvement for fifo 
   timestamps. See: http://forum.kodi.tv/showthread.php?tid=215399
  firmware: video codec: allow length-delineated input to have startcodes as 
   well. See: https://github.com/popcornmix/omxplayer/issues/272

* Sun Feb 22 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150222git69b787b-501.sc20
- Git revision master 69b787b2cf9d1ba19bb018d74549699aeae075fb.
  firmware: diadv: Fix for parity of bff frames.
   See: http://forum.kodi.tv/showthread.php?tid=218710&pid=1934760#pid1934760
- Git revision master e962dba710a95967413416dc4f68f63f8d34db7a
  firmware: Fix for L1 cache coherency issue that could cause boot failure.
  firmware: diadv: Fixes for advanced deinterlace to improve deinterlace 
   quality.
   See: http://forum.kodi.tv/showthread.php?tid=218710
  firmware: arm_loader: Add board-specific synonyms for overrides and labels.
   See: http://www.raspberrypi.org/forums/viewtopic.php?f=29&t=93015

* Fri Feb 20 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150220git593aa0f-501.sc20
- Update to git revision 593aa0fbbca3d1fc02138781c82daf5bf955080d.

* Sun Feb 15 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150215git8aca576-501.sc20
- Update to git revision 8aca5762f984f6decbeda294cee8418966c3d8d3.

* Sat Feb 14 2015 Clive Messer <clive.messer@squeezecommunity.org> - 20150212git47bd0f0-502.sc20
- Re-package.
